#include<bits/stdc++.h>
#include<math.h>
#define ull unsigned long long
using namespace std;


    int prvi[3],drugi[3];
    void ispisi(){
    for(int i=0;i<3;i++){
        cout<<prvi[i]<<" "<<drugi[i]<<endl;
    }
    }
int main()
{
    int n,a;
    cin>>n>>a;

    memset(prvi,0,sizeof(prvi));
    memset(drugi,0,sizeof(drugi));
    if(n<a*3)cout<<-1;
    else{
        n-=a*3;
        prvi[0]=a;
        prvi[1]=a;
        prvi[2]=a;
        if(n==0){
            ispisi();
            return 0;
        }
        else{
            if((n+a)%2==1){
                drugi[1]=1;
            }
            drugi[0]+=a;n-=a;
            n-=2;
            drugi[0]+=n/2;
            prvi[0]+=n/2+2;
            ispisi();
        }
    }
    return 0;
}